<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package thehideout
 */

?>
<footer id="colophon" class="site-footer">
    <div class="container text-center">
           <div class="footer-menu-left">
                <?php if(! get_theme_mod('thehideout_footer_text_setting') != ''){ ?>
                    <a href="<?php echo esc_url( __( 'https://wordpress.org/', 'thehideout' ) ); ?>">
                        <?php
                        /* translators: %s: CMS name, i.e. WordPress. */
                        printf( esc_html__( 'Proudly powered by %s', 'thehideout' ), 'WordPress' );
                                ?>
                        </a>
                        <span class="sep mr-1"> | </span>
                        <span>
                             <?php
                            /* translators: 1: Theme name,  */
                             echo esc_html(get_theme_mod('thehideout_footertext_setting','TheHideOut WordPress Theme by'));
                                    ?>
                             <span style="font-weight: bolder;">
                             <?php
                            /* translators: 1: Theme author. */
                            echo esc_html(get_theme_mod('thehideout_footer_authortext_setting','Appnotick'));
                                    ?>
                             </span>       
                            
                        </span>
                        <?php }?>
                        <?php echo esc_html(get_theme_mod('thehideout_footer_text_setting','')); ?>
            </div>

         <a href="#" class="scrollup"><i id="scrolltop" class="<?php echo esc_attr(get_theme_mod('thehideout_scroll_to_top_icon','fas fa-long-arrow-alt-up')); ?>"></i><span class="screen-reader-text"><?php esc_html_e( 'Scroll Up', 'thehideout' ); ?></span></a>

        <!-- .site-info -->
    </footer><!-- #colophon -->
</div><!-- #page -->
<?php wp_footer(); ?>

</body>
</html>
