<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package thehideout
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'thehideout' ); ?></a>

	<header id="masthead" class="site-header">

		<nav id="site-navigation" class="navbar navbar-expand-lg navbar-dark main-navigation">
    
  			<div class="container text-uppercase p-3">
  					<?php

  						if ( display_header_text() == true ) :
											?>
											<div class="site-branding-text text-center">
												<h1 class="site-title"> <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
												<p class="site-description"><?php bloginfo( 'description' ); ?></p>
											</div>
											<?php
										endif;
  					?>

					<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false">
						<span class="menu-icon"></span>
					</button>

				  <div class="collapse navbar-collapse" id="navbarSupportedContent">

				  	<?php

						wp_nav_menu(array(
						'menu' => 'header', 
				    	'theme_location' => 'header',
						'items_wrap' => '<ul class="navbar-nav justify-content-center">%3$s</ul>'
						));


					?>
				    
				  </div>
  		</div>
		</nav><!-- #site-navigation -->
		<div class="containerpen">
			<img class="logoborder" src="<?php echo esc_attr(get_stylesheet_directory_uri()); ?>/assets/images/logoborder.png" alt="">
			<div class="topnav-centered">
				<?php
				$custom_logo_id = get_theme_mod('custom_logo');
						$logo = wp_get_attachment_image_src($custom_logo_id, 'full');
					if ( has_custom_logo() ) {
						the_custom_logo();
					}
										
					?>
			</div>
			
			
			
		</div>
	</header>



