<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package thehideout
 */

get_header();
$thehideout_page_sidebar_layout = get_post_meta( get_the_ID(), '_sidebar_layout', true );
?>

	<main id="primary" class="site-main">

		<div class="container p-5">
		<div class="row">
			<!--content-->
			<?php
			// ========sidebar=======#
			if ( $thehideout_page_sidebar_layout == 'left-sidebar' ) :
				if ( class_exists( 'WooCommerce' ) ) {

					if ( is_account_page() || is_cart() || is_checkout() ) {
						get_sidebar( 'woocommerce' );
					} else {

						get_sidebar();
					}
				} else {

					get_sidebar();
				}
			endif;

			if ( $thehideout_page_sidebar_layout == 'full-width' ) :

				if ( class_exists( 'WooCommerce' ) ) {
					if ( is_account_page() || is_cart() || is_checkout() ) {
						echo '<div class="col-lg-12 col-md-12 col-sm-12">';
					} else {
						echo '<div class="col-lg-12 col-md-12 col-sm-12">';
					}
				} else {
					echo '<div class="col-lg-12 col-md-12 col-sm-12">';
				}

			else :
				if ( class_exists( 'WooCommerce' ) ) {
					if ( is_account_page() || is_cart() || is_checkout() ) {
						echo '<div class="col-md-' . ( ! is_active_sidebar( 'woocommerce' ) ? '12' : '8' ) . ' col-sm-' . ( ! is_active_sidebar( 'woocommerce' ) ? '12' : '7' ) . ' col-xs-12">';
					} else {
						echo '<div class="col-md-' . ( ! is_active_sidebar( 'sidebar-1' ) ? '12' : '8' ) . ' col-sm-' . ( ! is_active_sidebar( 'sidebar-1' ) ? '12' : '7' ) . ' col-xs-12">';
					}
				} else {
					echo '<div class="col-md-' . ( ! is_active_sidebar( 'sidebar-1' ) ? '12' : '8' ) . ' col-sm-' . ( ! is_active_sidebar( 'sidebar-1' ) ? '12' : '7' ) . 'col-xs-12">';
				}

			endif;

			if ( class_exists( 'WooCommerce' ) ) {
				if ( is_account_page() || is_cart() || is_checkout() ) {
					while ( have_posts() ) :
						the_post();
						get_template_part( 'template-parts/content', 'page' );
					endwhile;
				} else {
					while ( have_posts() ) :
						the_post();
						get_template_part( 'template-parts/content', 'page' );

					endwhile;
				}
			} else {
				while ( have_posts() ) :
					the_post();
					get_template_part( 'template-parts/content', 'page' );
				endwhile;
			}
			echo '</div>';

			 // ========sidebar=======#
			if ( $thehideout_page_sidebar_layout == 'right-sidebar' || empty( $thehideout_page_sidebar_layout ) ) :
				if ( class_exists( 'WooCommerce' ) ) {

					if ( is_account_page() || is_cart() || is_checkout() ) {
						get_sidebar( 'woocommerce' );
					} else {

						get_sidebar();
					}
				} else {

					get_sidebar();
				}
			endif;

			?>
		</div>
		<!--content-->
	</div>

	</main><!-- #main -->

<?php
get_footer();
