<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package thehideout
 */

get_header();
?>

<main id="primary" class="site-main">

	<div class="container p-5">
		<div class="row">
			<?php
			/* Sidebar */
			if (
				get_theme_mod( 'thehideout_single_blog_sidebar_type', 'right-sidebar' ) == 'left-sidebar'
				&&
				get_theme_mod( 'thehideout_single_blog_sidebar_type', 'right-sidebar' ) != 'full-width'
			) :
				get_sidebar();
			endif;
			?>
			<!--content-->
			<?php echo '<div class="col-md-' . ( ( ! is_active_sidebar( 'sidebar-1' ) || get_theme_mod( 'thehideout_single_blog_sidebar_type', 'right-sidebar' ) == 'full-width' ) ? '12' : '8' ) . ' col-sm-' . ( ( ! is_active_sidebar( 'sidebar-1' ) || get_theme_mod( 'thehideout_single_blog_sidebar_type', 'right-sidebar' ) == 'full-width' ) ? '12' : '7' ) . 'col-xs-12">'; ?>
			<?php
			if (have_posts()) : while (have_posts()) : the_post();

				get_template_part( 'template-parts/content', get_post_type() );

				the_post_navigation(
					array(
						'prev_text' => '<span class="nav-subtitle">' . esc_html__( 'Previous:', 'thehideout' ) . '</span> <span class="nav-title">%title</span>',
						'next_text' => '<span class="nav-subtitle">' . esc_html__( 'Next:', 'thehideout' ) . '</span> <span class="nav-title">%title</span>',
					)
				);

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

			endwhile; // End of the loop.
			else:
			?>
			<?php echo "Sorry, no posts matched your criteria."; ?></p>
		<?php endif; ?>
		</div>
		<!--/content-->
		<!--sidebar-->
		<?php
		if (
			get_theme_mod( 'thehideout_single_blog_sidebar_type', 'right-sidebar' ) == 'right-sidebar'
			&&
			get_theme_mod( 'thehideout_single_blog_sidebar_type', 'right-sidebar' ) != 'full-width'
		) :
			get_sidebar();
		endif;
		?>
		<!--/sidebar-->
	</div>
	</div>

	</main><!-- #main -->

<?php

get_footer();
