<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package thehideout
 */

?>

<div id="post-<?php the_ID(); ?>" <?php post_class( array( 'blog_post' ) ); ?>>
	<?php if ( has_post_thumbnail() ) { ?>
		<div class="post_img ">
			<?php the_post_thumbnail(); ?>
		</div>
	<?php } ?>

	<div class="post_content">
		
		<?php 
		$thehideout_hide_category = get_theme_mod( 'thehideout_post_hide_category', false );
		if ( $thehideout_hide_category === false ) { ?>
				<div class="categories p_categories">
					<?php
					$thehideout_cats = get_the_category_list();
					if ( ! empty( $thehideout_cats ) ) {
						 the_category( ' ' ); 
					 } ?> 
					</div>
			<?php } ?>
			
			
			<div class="post_meta">
				<!-- Meta Author -->
				<?php
					$thehideout_hide_date = get_theme_mod( 'thehideout_post_hide_date', false );
				if ( $thehideout_hide_date === false ) {
					?>
					<span class="date">
						<a href="<?php echo esc_url( get_month_link( get_post_time( 'Y' ), get_post_time( 'm' ) ) ); ?>"><time><?php echo esc_html( get_the_date() ); ?></time></a>
					</span>
					<?php
				}
				$thehideout_hide_author = get_theme_mod( 'thehideout_post_hide_author', false );
				if ( $thehideout_hide_author === false ) {
					?>
					<span class="author">
						<?php esc_html_e( 'By', 'thehideout' ); ?><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo esc_html( get_the_author() ); ?></a></span>
				<?php } ?>

			</div>

		

		<?php
		if ( is_singular() ) :
			the_title( '<h4 class="mb-3"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h4>' );
		else :
			the_title( '<h4 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h4>' );
		endif;
		?>
		<p>
			<?php
			/*
			 * Content may be excerpt or content as defined by settings
			 */
			if ( is_singular() ) {
				 the_content();
			} else {
				if(has_excerpt()){
					 the_excerpt();
				}else{
					 the_content( __('Read More','thehideout') );
				}
				
			}
			?>
		</p>
	</div>
</div>
